org.keycloak.forms.account.freemarker.model

## Class ApplicationsBean.ApplicationEntry

- java.lang.Object
- - org.keycloak.forms.account.freemarker.model.ApplicationsBean.ApplicationEntry

- Enclosing class:
    ApplicationsBean

      public static class ApplicationsBean.ApplicationEntry
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApplicationEntry(List<RoleModel> realmRolesAvailable, MultivaluedHashMap<String,ApplicationsBean.ClientRoleEntry> resourceRolesAvailable, List<RoleModel> realmRolesGranted, MultivaluedHashMap<String,ApplicationsBean.ClientRoleEntry> resourceRolesGranted, ClientModel client, List<String> claimsGranted, List<String> additionalGrants)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<String>` | `getAdditionalGrants()`
    `List<String>` | `getClaimsGranted()`
    `ClientModel` | `getClient()`
    `List<RoleModel>` | `getRealmRolesAvailable()`
    `List<RoleModel>` | `getRealmRolesGranted()`
    `MultivaluedHashMap<String,ApplicationsBean.ClientRoleEntry>` | `getResourceRolesAvailable()`
    `MultivaluedHashMap<String,ApplicationsBean.ClientRoleEntry>` | `getResourceRolesGranted()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ApplicationEntry

          public ApplicationEntry(List<RoleModel> realmRolesAvailable,
                                  MultivaluedHashMap<String,ApplicationsBean.ClientRoleEntry> resourceRolesAvailable,
                                  List<RoleModel> realmRolesGranted,
                                  MultivaluedHashMap<String,ApplicationsBean.ClientRoleEntry> resourceRolesGranted,
                                  ClientModel client,
                                  List<String> claimsGranted,
                                  List<String> additionalGrants)

  - ### Method Detail

    - #### getRealmRolesAvailable

          public List<RoleModel> getRealmRolesAvailable()

    - #### getResourceRolesAvailable

          public MultivaluedHashMap<String,ApplicationsBean.ClientRoleEntry> getResourceRolesAvailable()

    - #### getRealmRolesGranted

          public List<RoleModel> getRealmRolesGranted()

    - #### getResourceRolesGranted

          public MultivaluedHashMap<String,ApplicationsBean.ClientRoleEntry> getResourceRolesGranted()

    - #### getClient

          public ClientModel getClient()

    - #### getClaimsGranted

          public List<String> getClaimsGranted()

    - #### getAdditionalGrants

          public List<String> getAdditionalGrants()

Copyright © 2016 JBoss by Red Hat. All rights reserved.